cURL
curl --request GET \
--url https://api.fluents.ai/v1/calls/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluents.ai/v1/calls/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluents.ai/v1/calls/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"to_number": "+1234567890",
"from_number": "+0987654321",
"telephony_provider": "twilio",
"agent_phone_number": "+1234567890",
"context": {},
"telephony_params": {},
"action_history": [
{
"event_type": "action_completed",
"timestamp": "2025-03-26T06:10:33.560833+00:00",
"action_id": "51d82e68-b63a-4b85-b0de-7fd2c8b36c88",
"action_type": "action_external",
"action_label": "Book Appointment",
"parameters": {
"key": "value"
},
"result": {
"json": {
"success": true
},
"http_status_code": 200,
"error": null
}
}
],
"agent": "agent_123",
"status": "in_progress",
"error_message": "Call failed to connect",
"recording_available": true,
"transcript": "Hello, this is a transcript",
"human_detection_result": "human",
"do_not_call_result": false,
"telephony_id": "call_123",
"stage": "created",
"stage_outcome": "human_unanswered",
"telephony_metadata": {},
"start_time": "2023-01-01T00:00:00Z",
"end_time": "2023-01-01T00:01:00Z",
"hipaa_compliant": false,
"on_no_human_answer": "continue",
"run_do_not_call_detection": true,
"telephony_account_connection": {},
"is_outgoing": true,
"errors": [
"Error 1",
"Error 2"
]
}
],
"page": 123,
"size": 123,
"has_more": true,
"total": 123,
"total_is_estimated": true
}{
"message": "<string>",
"error": "<string>",
"statusCode": 400
}Calls
List calls
GET
/
v1
/
calls
/
list
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
⌘I

